| v_hdmirxss1 Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xv_hdmirxss1_log.c File Reference

## Overview

Note
  None.

    MODIFICATION HISTORY:

    Ver   Who  Date     Changes

    1.00  EB   22/05/18 Initial release.

## Functions
void | XV_HdmiRxSs1_LogReset (XV_HdmiRxSs1 *InstancePtr)
| This function will reset the driver's logging mechanism. More...
void | XV_HdmiRxSs1_LogWrite (XV_HdmiRxSs1 *InstancePtr, XV_HdmiRxSs1_LogEvent Evt, u8 Data)
| This function will insert an event in the driver's logginc mechanism. More...
u16 | XV_HdmiRxSs1_LogRead (XV_HdmiRxSs1 *InstancePtr)
| This function will read the last event from the log. More...
void | XV_HdmiRxSs1_LogDisplay (XV_HdmiRxSs1 *InstancePtr)
| This function will print the entire log. More...

## Function Documentation

void XV_HdmiRxSs1_LogDisplay | ( | XV_HdmiRxSs1 * | InstancePtr | ) |

This function will print the entire log.

Parameters

  InstancePtr | is a pointer to the XV_HdmiRxSs1 core instance.

Returns
  None.

Note
  None.

References XV_HdmiRxSs1::Log, XV_HdmiRxSs1::LogWriteCallback, XV_HdmiRxSs1_Log::TailIndex, XV_HdmiRxSs1_Log::TimeRecord, XV_HDMIRXSS1_LOG_EVT_CONNECT, XV_HDMIRXSS1_LOG_EVT_DISCONNECT, XV_HDMIRXSS1_LOG_EVT_DVIMODE, XV_HDMIRXSS1_LOG_EVT_HDCP14, XV_HDMIRXSS1_LOG_EVT_HDCP14_INIT, XV_HDMIRXSS1_LOG_EVT_HDCP22, XV_HDMIRXSS1_LOG_EVT_HDCP22_INIT, XV_HDMIRXSS1_LOG_EVT_HDCPTIMER_INIT, XV_HDMIRXSS1_LOG_EVT_HDMIMODE, XV_HDMIRXSS1_LOG_EVT_HDMIRX1_INIT, XV_HDMIRXSS1_LOG_EVT_LINKSTATUS, XV_HDMIRXSS1_LOG_EVT_LNKRDYERROR, XV_HDMIRXSS1_LOG_EVT_NONE, XV_HDMIRXSS1_LOG_EVT_PIX_REPEAT_ERR, XV_HDMIRXSS1_LOG_EVT_REFCLOCKCHANGE, XV_HDMIRXSS1_LOG_EVT_RESET, XV_HDMIRXSS1_LOG_EVT_SETSTREAM, XV_HDMIRXSS1_LOG_EVT_SETSTREAM_ERR, XV_HDMIRXSS1_LOG_EVT_SKEWLOCKERROR, XV_HDMIRXSS1_LOG_EVT_START, XV_HDMIRXSS1_LOG_EVT_STOP, XV_HDMIRXSS1_LOG_EVT_STREAMDOWN, XV_HDMIRXSS1_LOG_EVT_STREAMINIT, XV_HDMIRXSS1_LOG_EVT_STREAMUP, XV_HDMIRXSS1_LOG_EVT_SYNCEST, XV_HDMIRXSS1_LOG_EVT_SYNCLOSS, XV_HDMIRXSS1_LOG_EVT_VICERROR, XV_HDMIRXSS1_LOG_EVT_VIDRDYERROR, XV_HDMIRXSS1_LOG_EVT_VTC_INIT, and XV_HdmiRxSs1_LogRead().

u16 XV_HdmiRxSs1_LogRead | ( | XV_HdmiRxSs1 * | InstancePtr | ) |

This function will read the last event from the log.

Parameters

  InstancePtr | is a pointer to the XV_HdmiRxSs1 core instance.

Returns
  The log data.

Note
  None.

References XV_HdmiRxSs1_Log::DataBuffer, XV_HdmiRxSs1_Log::HeadIndex, XV_HdmiRxSs1::Log, and XV_HdmiRxSs1_Log::TailIndex.

Referenced by XV_HdmiRxSs1_LogDisplay().

void XV_HdmiRxSs1_LogReset | ( | XV_HdmiRxSs1 * | InstancePtr | ) |

This function will reset the driver's logging mechanism.

Parameters

  InstancePtr | is a pointer to the xv_hdmirxss1 core instance.

Returns
  None.

Note
  None.

References XV_HdmiRxSs1_Log::HeadIndex, XV_HdmiRxSs1::Log, and XV_HdmiRxSs1_Log::TailIndex.

void XV_HdmiRxSs1_LogWrite | ( | XV_HdmiRxSs1 * | InstancePtr,
|  | XV_HdmiRxSs1_LogEvent | Evt,
|  | u8 | Data
| ) |  |

This function will insert an event in the driver's logginc mechanism.

Parameters

  InstancePtr | is a pointer to the XV_HdmiRxSs1 core instance.
  Evt | is the event type to log.
  Data | is the associated data for the event.

Returns
  None.

Note
  None.

References XV_HdmiRxSs1_Log::DataBuffer, XV_HdmiRxSs1_Log::HeadIndex, XV_HdmiRxSs1::Log, XV_HdmiRxSs1::LogWriteCallback, XV_HdmiRxSs1::LogWriteRef, XV_HdmiRxSs1_Log::TailIndex, XV_HdmiRxSs1_Log::TimeRecord, and XV_HDMIRXSS1_LOG_EVT_DUMMY.

Referenced by XV_HdmiRxSs1_FrlStartCallback(), XV_HdmiRxSs1_RefClockChangeInit(), XV_HdmiRxSs1_Reset(), XV_HdmiRxSs1_SetStream(), XV_HdmiRxSs1_Start(), XV_HdmiRxSs1_Stop(), and XV_HdmiRxSs1_SubcoreInitHdmiRx1().